Subject: Re: [RFC PATCH 7/7] autofs - change CONFIG_AUTOFS4_FS to CONFIG_AUTOFS_FS

From: Ian Kent <[email-masked]>
Date: Mon, 08 Jul 2013 17:11:00 +0800

On Mon, 2013-07-08 at 15:10 +1000, Stephen Rothwell wrote:
> Hi Ian,
> 
> On Fri, 05 Jul 2013 17:51:24 +0800 Ian Kent <[email-masked]> wrote:
> >
> > On Mon, 2013-07-01 at 14:39 +1000, Stephen Rothwell wrote:
> > > 
> > > On Mon, 01 Jul 2013 11:14:51 +0800 Ian Kent <[email-masked]> wrote:
> > > >
> > > > Signed-off-by: Ian Kent <[email-masked]>
> > > 
> > > Please don't do this.  Find a simple way to make sure that if
> > > CONFIG_AUTOFS4_FS is set, then "make oldconfig"  (or equivalent) will
> > > cause CONFIG_AUTOFS_FS to be set the same.
> > 
> > I get what your recommending but still can't think of a way to do it,
> > any thoughts?
> 
> Isn't just having
> 
> config AUTOFS4_FS
> 	tristate
> 	select AUTOFS_FS

I though that would set AUTOFS_FS=y unconditionally which I think is not
necessarily the setting that is needed. Also, I believe there's no way
to set it based on AUTOFS4_FS after it's value has been set from the
menu.
 
Ian